告警与响应相关接口/值班
PUTOnCall起始版本 1.0同步需要认证
更新值班排班表
更新已存在呼叫调度计划S配置成员。
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标识该资源。
请求体字段
nameString必填资源名称。
示例: my-resource
descriptionString必填资源的详细描述。
示例: A brief description
timezoneString必填时区。
示例: value
shiftDurationString必填班次时长。
示例: value
membersList必填成员列表。
示例: (nested array)
userIdString用户ID。
示例: user-abc123
userNameString用户名称。
示例: Alice Smith
orderInteger顺序号。
示例: 1
响应状态
请求地址
PUT/api/v1/oncall/schedules/{uuid}
/api/v1/oncall/schedules/{uuid}
请求示例
curl -X PUT '{host}/api/v1/oncall/schedules/{uuid}' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"name":"my-resource","description":"A brief description","timezone":"value","shiftDuration":"value","members":"(nested array)"}'
响应示例
200{
"uuid": "sched-00112233",
"name": "Platform On-Call",
"description": "24x7 platform on-call rotation",
"timezone": "Asia/Shanghai",
"rotationType": "weekly",
"shiftDuration": "168h",
"members": [
{}
],
"startDate": "example"
}变更历史
此 API 暂无变更历史记录。
